pages:
  stage: deploy
  script:
    - echo "The site will be deployed to $CI_PAGES_URL"
    - mkdir -p public
    - cp index.html public/
    - cp -r css/ public/css/
    - cp -r img/ public/img/
    - cp -r icon/ public/icon/
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH
